/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded;

/**
 * Constants for Resource type names.
 *
 * TODO: Move to src/main/test/, since only tests use these.
 */
public class ResourceTypes
{
    /**
     * used to retrieve all the no-tx datasource ResourceTypes from the ResourceManager
     */
    public static final String RESOURCE_TYPE_NO_TX_DATASOURCE = "no-tx-datasource";
    /**
     * used to retrieve all the local datasource ResourceTypes from the ResourceManager
     */
    public static final String RESOURCE_TYPE_LOCAL_DATASOURCE = "local-datasource";
    /**
     * used to retrieve all the xa datasource ResourceTypes from the ResourceManager
     */
    public static final String RESOURCE_TYPE_XA_DATASOURCE = "xa-datasource";
    /**
     * used to retrieve all the jms topic ResourceTypes from the ResourceManager
     */
    public static final String RESOURCE_TYPE_JMS_TOPIC = "jms-topic";
    public static final String RESOURCE_TYPE_VM_MEMORY = "VM Memory System";

    private ResourceTypes()
    {
    }
}
