/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.bean;

import java.io.Serializable;

import org.rhq.core.domain.measurement.MeasurementData;
import org.rhq.core.domain.measurement.MeasurementDefinition;
import org.rhq.core.domain.measurement.composite.MeasurementValueAndUnits;

/**
 * Class to hold all the data to be displayed in the embedded UI
 *
 * @author Jessica Sant
 */
public class MeasurementDisplay implements Serializable {
    /**
     * the data to be displayed
     */
    private MeasurementData measurementData;

    /**
     * the definition of this measurement
     */
    private MeasurementDefinition measurementDefinition;

    /**
     * the formatted number to be displayed in the UI
     */
    private MeasurementValueAndUnits valueAndUnits;

    public MeasurementDisplay(MeasurementData measurementData, MeasurementDefinition measurementDefinition) {
        this.measurementData = measurementData;
        this.measurementDefinition = measurementDefinition;
    }

    public MeasurementData getMeasurementData() {
        return measurementData;
    }

    public MeasurementDefinition getMeasurementDefinition() {
        return measurementDefinition;
    }

    public MeasurementValueAndUnits getMeasurementValueAndUnits() {
        return valueAndUnits;
    }

    public void setMeasurementValueAndUnits(MeasurementValueAndUnits valueAndUnits) {
        this.valueAndUnits = valueAndUnits;
    }
}
