/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2010 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.bean;

import org.jboss.on.embedded.util.MeasurementConversionUtility;
import org.rhq.core.domain.measurement.MeasurementUnits;
import org.rhq.core.domain.measurement.composite.MeasurementNumericValueAndUnits;

/**
 * A subclass of {@link MeasurementNumericValueAndUnits) that overrides toString() to display the value as an integer
 * (e.g. "42"), rather than a double (e.g. "42.0").
 *
 * @author Ian Springer
 */
public class MeasurementIntegerValueAndUnits extends MeasurementNumericValueAndUnits
{
    public MeasurementIntegerValueAndUnits(Double value, MeasurementUnits units)
    {
        super(value, units);
    }

    @Override
    public String toString()
    {
        return MeasurementConversionUtility.format(getValue(), getUnits(), true, 0, 0);
    }
}
