/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.manager;

import org.jboss.on.embedded.manager.pc.PluginContainerResourceManager;

/**
 * Factory used to retrieve instances of <code>ResourceManager</code> for use by UI actions.
 *
 * @author Jason Dobies
 */
public class ResourceManagerFactory {
    // ResourceTypes  --------------------------------------------

    /**
     * ResourceManager instance to be used.
     */
    private static final ResourceManager RESOURCE_MANAGER = new PluginContainerResourceManager();

    // Public  --------------------------------------------

    /**
     * Returns an instance of <code>ResourceManager</code>.
     */
    public static ResourceManager resourceManager() {
        return RESOURCE_MANAGER;
    }

}
