/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.ui;

import java.io.Serializable;

import org.richfaces.component.UIDatascroller;

import org.jboss.seam.annotations.Name;

/**
 * DatascrollerUIBean is used to store the data needed to reset a datascroller.
 *
 * @author Farah Juma
 */
@Name("datascrollerUI")
public class DatascrollerUIBean implements Serializable
{
    private UIDatascroller datascroller;

    public UIDatascroller getDatascroller()
    {
        return datascroller;
    }

    public void setDatascroller(UIDatascroller datascroller)
    {
        this.datascroller = datascroller;
    }

    /**
     * Reset the datascroller to the first page. resetDatascroller() is called when the user changes the number of items
     * displayed in a data table.
     */
    public void resetDatascroller()
    {
        datascroller.setPage(UIDatascroller.FIRST_FACET_NAME);
    }
}
