/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.ui;

import java.util.ArrayList;
import java.util.List;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;
import org.jboss.seam.util.Exceptions;

/**
 * @author Ian Springer
 */
@Name("exceptionAction")
@Scope(ScopeType.APPLICATION)
public class ExceptionAction
{
    private static final String CAUGHT_EXCEPTION_COMPONENT_NAME = "org.jboss.seam.caughtException";

    public Exception getException()
    {
        return (Exception)org.jboss.seam.contexts.Contexts.getConversationContext().get(CAUGHT_EXCEPTION_COMPONENT_NAME);
    }

    public List<Exception> getCauses()
    {
        List causes = new ArrayList();
        for (Exception cause = getException(); cause != null; cause = Exceptions.getCause(cause))
        {
            causes.add(cause);
        }
        return causes;
    }
}
