/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.ui;

/**
 * Constants that are used as the Action Outputs for all the JSF Actions
 *
 * @author Jessica Sant
 */
public class FacesOutcomes
{
    /**
     * action outcome indicating success
     */
    public static final String SUCCESS = "success";
    /**
     * action outcome indicating failure
     */
    public static final String FAILURE = "failure";
    /**
     * action outcome indicating the user canceled the action
     */
    public static final String CANCEL = "cancel";
    /**
     * action outcome indicating there was an error
     */
    public static final String ERROR = "error";
    /**
     * action outcome indicating that the ROOT summary page should be displayed
     */
    public static final String ROOT = "root";
    /**
     * action outcome indicating that a subCategory summary table should be displayed
     */
    public static final String SUB_CATEGORY = "subCategory";
    /**
     * action outcome indicating that the navigation should simply be repeated
     */
    public static final String REPEAT_NAV = "repeatNav";
    /**
     * action outcome indicating that a resource type summary table should be displayed
     */
    public static final String RESOURCE_TYPE_SUMMARY = "resourceSummary";
    /**
     * action outcome indicating that a summary of this single resource instance should be displayed
     */
    public static final String RESOURCE_INSTANCE = "resourceInstance";
    /**
     * action outcome indicating that the summary page for the Platform resource instance should be displayed
     */
    public static final String PLATFORM = "platform";

    private FacesOutcomes()
    {
    }
}
