/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.ui;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Set;

import org.rhq.core.clientapi.server.content.ContentDiscoveryReport;
import org.rhq.core.domain.content.transfer.ResourcePackageDetails;
import org.rhq.core.domain.resource.Resource;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Scope;

import org.jboss.on.embedded.manager.history.content.ContentHistoryManager;

@Name("contentDisplayAction")
@Scope(ScopeType.SESSION)
public class SingleResourceContentAction implements Serializable
{
    @Out(value = "currentResource", required = false, scope = ScopeType.PAGE)
    private Resource resource;

    @Out(value = "contentHistory", required = false, scope = ScopeType.SESSION)
    private ContentDiscoveryReport contentHistory;

    @Out(value = "contentDetails", required = false, scope = ScopeType.SESSION)
    private List<ResourcePackageDetails> contentDetails;

    @In(value = "contentHistoryManager", required = false)
    private ContentHistoryManager contentManager;

    @In(create = true)
    private CommonActionUtil commonActionUtil;

    public void getContent()
    {
        resource = commonActionUtil.getCurrentResource();
        Collection<ContentDiscoveryReport> historyForResource = contentManager.getHistoryForResource(resource);
        if (historyForResource != null && historyForResource.size() > 0)
        {
            for (ContentDiscoveryReport currentReport : historyForResource)
            {
                contentHistory = currentReport;
            }
            Set<ResourcePackageDetails> contentDetailsSet = contentHistory.getDeployedPackages();
            contentDetails = new ArrayList<ResourcePackageDetails>(contentDetailsSet);
        }
    }
}
