/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.ui;

import java.io.Serializable;

import javax.faces.model.SelectItem;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Scope;

/**
 * TableManager is used to store all of the data needed to allow the user to configure the number of items per page
 * displayed in a data table.
 *
 * @author Farah Juma
 */
@Name("tableManager")
@Scope(ScopeType.PAGE)
public class TableManager implements Serializable
{
    private static final int MIN_PAGE_SIZE = 10;

    private int numRows = MIN_PAGE_SIZE;

    private SelectItem[] pageSizes = new SelectItem[]{new SelectItem("10", "10"),
            new SelectItem("20", "20"), new SelectItem("50", "50")};

    public int getNumRows()
    {
        return this.numRows;
    }

    public void setNumRows(int numRows)
    {
        this.numRows = numRows;
    }

    public int getMinimumPageSize()
    {
        return MIN_PAGE_SIZE;
    }

    public SelectItem[] getPageSizes()
    {
        return pageSizes;
    }
}
