/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.ui.configuration.resource;

import org.rhq.core.gui.util.IdChunkGeneratorUIBean;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.Factory;
import org.jboss.seam.annotations.Name;

/**
 * @author Mark Spritzler
 */
@Name("idChunkFactory")
public class IdChunkFactory
{
    // TODO if we could make IdChunkGeneratorUIBean a Seam component we wouldn't need to do this
    // This is set specifically to EVENT scope since that is the equivalent scope
    // to that which IdChunkGeneratorPhaseListener enables
    @Factory(value = "IdChunkGeneratorUIBean", scope = ScopeType.EVENT)
    // TODO why won't Seam let us make this method private?
    //private IdChunkGeneratorUIBean createIdChunkGenerator() {
    public IdChunkGeneratorUIBean createIdChunkGenerator()
    {
        return new IdChunkGeneratorUIBean();
    }
}
