/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.jboss.on.embedded.ui.nav;

import org.rhq.core.domain.resource.Resource;

import org.jboss.on.embedded.ui.SummaryAction;
import org.jboss.on.embedded.ui.SummaryAction.SummaryActionOutcome;

public class DummyTreeNode extends BaseTreeNode {
    public DummyTreeNode() {
        super(getUniqueKey());
    }

    protected void initChildrenMap() {
        // no-op
    }

    public String getPath() {
        return "no-path";
    }

    public String getName() {
        return "no-name";
    }

    public String getDescription() {
        return "no-description";
    }

    public SummaryActionOutcome getSummaryActionOutcome(SummaryAction action) {
        throw new UnsupportedOperationException("Should not be calling getSummaryActionOutcome() on DummyTreeNode.");
    }

    public Resource getClosestResource() {
        throw new UnsupportedOperationException("Should not be calling getClosestAncestorResource() on DummyTreeNode.");
    }
}
