/*
 * Embedded Jopr Project
 * Copyright (C) 2006-2009 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.jboss.on.embedded.util;

import org.rhq.core.domain.resource.Resource;

import org.jboss.seam.mock.SeamTest;

import org.jboss.on.embedded.ui.FacesOutcomes;

public class NavigationRequests
{

    private static SeamTest test = new SeamTest();


    public static SeamTest.FacesRequest getNavigationMap(final Object[] resources) throws Exception
    {

        return test.new FacesRequest()
        {
            @Override
            protected void updateModelValues() throws Exception
            {
                //Set the resource selected

            }

            @Override
            protected void invokeApplication() throws Exception
            {
                //Invoke to get the Navigation Map
                resources[0] = invokeMethod("#{navigationAction.getNavigationMap()}");
            }

            @Override
            protected void renderResponse() throws Exception
            {

            }
        };
    }

    public static SeamTest.FacesRequest LeftNavigationDataSourceRequest(final Resource resource,
                                                                        final String[] jsfAttribute,
                                                                        final Object... checkValue)
    {
        return test.new FacesRequest()
        {
            @Override
            protected void updateModelValues() throws Exception
            {
                //Set the resource selected
                setValue("#{resourceItem.resource}", resource);
            }

            @Override
            protected void invokeApplication() throws Exception
            {
                //Invoke the left nav link
                assert invokeMethod("#{resourceCRUDAction.viewResourceAction(resourceItem.resource)}")
                        .equals(FacesOutcomes.SUCCESS);
            }

            @Override
            protected void renderResponse() throws Exception
            {
                for (int i = 0; i < jsfAttribute.length; i++)
                {
                    //Check Resource against values in the edit form.
                    assert getValue(jsfAttribute[i])
                            .equals(checkValue[i]);
                }
            }
        };
    }
}
