/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.jopr.jsfunit;

import com.gargoylesoftware.htmlunit.html.HtmlButtonInput;

/**
 * This is the base test class for Embedded Jopr Application tests.
 * 
 * @author Shelly McGowan
 *
 */
public abstract class ApplicationTestBaseAS4 extends EmbjoprTestCase
				implements AppConstants {

	protected String label = null;
	protected final String serviceName = null;
	protected final String xmlElementName = null;
	protected final String templateHtmlSelectValue = null;

	public HtmlButtonInput getAppDeleteButton(String resourceName)
	{
		return getDeleteButton("resourceSummaryForm", resourceName);
	}


	protected abstract boolean isWarDeployed(String warName) throws RuntimeException;


}
