package org.jboss.jopr.jsfunit;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.nio.channels.FileChannel;
import java.util.Properties;
import java.util.SortedMap;
import java.util.TreeMap;

/**
 *
 * @author Ondrej Zizka
 */
public class DebugUtils {

	protected static String workDir = System.getProperty("user.dir");

	public static void setWorkDir(String workDir) {
		DebugUtils.workDir = workDir;
	}


	public static void copyFile( String sFromPath, String sToPath ) throws IOException {

		FileChannel in = new FileInputStream(sFromPath).getChannel();

		new FileOutputStream(sToPath).getChannel().transferFrom( in, 0, in.size() );
		
	}


	public static void writeFile( String sFilePath, String content ) throws FileNotFoundException, IOException{
		// TODO: Do this better... Maven surely provides target path.
		//sFilePath = "target/"+sFilePath;
		/*FileWriter fileWriter = new FileWriter(sFilePath);
		fileWriter.write(content);
		fileWriter.close();/**/
		FileOutputStream fileOutputStream = new FileOutputStream(sFilePath);
		fileOutputStream.write(content.getBytes());
		fileOutputStream.close();

	}
	
	static void writeFile(String sToPath, byte[] bytes) throws FileNotFoundException, IOException {
		FileOutputStream fileOutputStream = new FileOutputStream(sToPath);
		fileOutputStream.write(bytes);
		fileOutputStream.close();
	}

	public static String readFileAsString(String filePath) throws java.io.IOException {
		StringBuilder fileData = new StringBuilder(1024);
		BufferedReader reader = new BufferedReader(new FileReader(filePath));
		char[] buf = new char[1024];
		int numRead=0;
		while((numRead=reader.read(buf)) != -1){
			fileData.append(buf, 0, numRead);
		}
		reader.close();
		return fileData.toString();
	}


	/**
	 * Lists system properties.
	 */
	public static void listSystemProperties(){

		Properties properties = System.getProperties();

		SortedMap<String, String> map = new TreeMap<String, String>();
		// properties.stringPropertyNames() since 1.6
		for ( Object property : properties.keySet()) {
			map.put( (String)property, properties.getProperty((String)property) );
		}

		for ( String property : map.keySet() ) {
			System.out.println(property + ": '"+properties.getProperty(property)+"'");
		}

	}

	/**
	 *
	 * @return
	 */
	public static String getCurrentMethodFullName() {

		StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
		StackTraceElement ste = stackTrace[3];
		return ste.getClassName() +"#"+ ste.getMethodName();

		/*
		StringBuilder sb = new StringBuilder();
		for( StackTraceElement ste : stackTrace ){
			sb.append(" -- ").append( ste.getClassName() ).append("#").append( ste.getMethodName() ).append("\n");
		}
		return sb.toString();
		*/

	}




}
