/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.jopr.jsfunit;

import org.jboss.jsfunit.framework.FormAuthenticationStrategy;

/**
 * This automatically logs in to the app when the challenge form is presented.
 *
 * @author Stan Silvert
 */
public class JoprLoginStrategy extends FormAuthenticationStrategy
{

   /**
    * Create a new JoprLoginStrategy with default username/password.
    */
   public JoprLoginStrategy()
   {
      this( EmbjoprTestCase.LOGIN_USERNAME, EmbjoprTestCase.LOGIN_PASSWORD);
   }
    
   /**
    * Create a new JoprLoginStrategy.  
    *
    * @param userName The user name.
    * @param password The password.
    */
   public JoprLoginStrategy(String userName, String password)
   {
      super(userName, password, "login_form:submit", "login_form:name", "login_form:password");
   }

}
