/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2009, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.jboss.jopr.jsfunit;

import java.io.IOException;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Login test. Makes use of default login in EmbjoprTestCase::setUp()
 *
 * @author Stan Silvert
 */
public class LoginTest extends EmbjoprTestCase
{

   /**
    * @return the suite of tests being tested
    */
   public static Test suite() {
      return new TestSuite( LoginTest.class );
   }



   public void testLoggedIn() throws IOException
   {

		 log.info("Checking the presence of username - '"+LOGIN_USERNAME+"'.");
		 assertTrue( client.getPageAsText().contains(LOGIN_USERNAME) );

		 log.info("Checking the presence of the Logout link.");
		 assertTrue( client.getPageAsText().contains("Logout") );

		 log.info("Checking that #{identity.username} == '"+LOGIN_USERNAME+"'.");
		 assertEquals(LOGIN_USERNAME, server.getManagedBeanValue("#{identity.username}") );

	 }


}