package org.jboss.jopr.jsfunit.as5.embwar;

import java.io.IOException;
import junit.framework.Test;
import junit.framework.TestSuite;
import org.jboss.jopr.jsfunit.ApplicationTestBaseAS5;
import org.jboss.jopr.jsfunit.exceptions.EmbJoprTestException;
import org.jboss.jopr.jsfunit.util.EmbJoprTestToolkit.ContentTableRow;
import org.jboss.jopr.jsfunit.util.EmbJoprTestToolkit.NavTreeNode;

/**
 *
 * @author ondra
 */
public class EmbWarTest extends ApplicationTestBaseAS5 {

	public static final DeployableTypes APP_TYPE = DeployableTypes.EMB_WAR;

	/**
	 * @return the suite of tests being tested
	 */
	public static Test suite(){
		return new TestSuite(EmbWarTest.class);
	}

	public void testEarWithEmbWarDeployment() throws IOException, EmbJoprTestException
	{

		final String DEPLOYABLE_NAME = EAR_WITH_WAR_EMB;

		try {
			// Deploy the app.
			String appFilePath = ejtt.getTestDataDir() + "/ear/"+DEPLOYABLE_NAME;
			ejtt.deployment.deployViaEmbJopr( DeployableTypes.EAR, appFilePath );

			String expectedMessage = DEPLOYABLE_NAME + " created successfully";
			checkClientAndServerMessages(expectedMessage, expectedMessage, false);

			// Go to the embedded WARs node.
			NavTreeNode embWarNode = ejtt.navTree.getNodeByLabel(APP_TYPE.getNavTreeLabel());
			embWarNode.getLabelLink().click();

			// Check that the embedded WAR is listed.
			ContentTableRow embWarLink = ejtt.tabMenu.getTabContentBox()
							.findLinkRowInDataTableUsingPagination(EAR_WITH_WAR_EMB__WAR_NAME);
			if( null == embWarLink )
				throw new EmbJoprTestException("Embedded WAR '"+EAR_WITH_WAR_EMB__WAR_NAME+"' not listed.");

			ejtt.deployment.waitActivelyForDeployment(APP_TYPE, EAR_WITH_WAR_EMB__WAR_NAME, 5000, 30);

		}
		finally {
			try {
				ejtt.deployment.undeployViaEmbJopr(APP_TYPE, DEPLOYABLE_NAME);
			}catch( Exception ex ){
				log.error("Caught exception when undeploying: "+ex, ex);
			}
		}
	}// testEarWithEmbWarDeployment()

}// class



