package org.jboss.jopr.jsfunit.as5.jbcache;

import java.io.IOException;
import java.util.Properties;
import org.jboss.jopr.jsfunit.exceptions.EmbJoprTestException;
import org.jboss.jopr.jsfunit.util.SingleProperties;
import org.jboss.jopr.jsfunit.util.ValuesValidator;

/**
 *
 * @author Ondrej Zizka
 *
 * JBoss Cache is only present in 'all' JBoss AS profile.
 */
public class JBossCacheTxInterceptorTest extends JBossCacheTestBase {


	private static final String LABEL_REFRESH = "Refresh";


	/** Navigates to the node being tested. */
	private void navigateToNode() throws EmbJoprTestException, IOException {
		ejtt.navTree.getNodeByLabel(JBCACHE_HA_PARTITION).expand();
		ejtt.navTree.getNodeByLabel(SUBNODE_TX_INTERCEPTOR).click();
	}

	private void refreshMetrics() throws EmbJoprTestException, IOException{
		navigateToNode();
		ejtt.getTabMenu().clickMetricsTab();
		ejtt.getTabMenu().getTabContentBox().getButtonByLabel(LABEL_REFRESH).click();
	}


	/**
	 * TxInterceptor Summary tab.
	 */
	public void testJBossCacheTxInterceptorSummary() throws IOException, EmbJoprTestException {
		if( isJBossConfigWithoutCache() ) return;

		try {

			navigateToNode();

			// Gen Props - nothing useful.
			Properties props = new Properties();
			props.setProperty("Name", "Tx Interceptor");
			ejtt.getTabMenu().getTabContentBox().getTableUnformatted(LABEL_GENERAL_PROPERTIES).checkValuesEqual(props);

			// Metrics.
			props = new Properties();
			props.setProperty("Commits", "0");
			props.setProperty("Rollbacks", "0");
			props.setProperty("Prepares", "0");
			props.setProperty("Number Of Syncs Registered", "0");
			ejtt.getTabMenu().getTabContentBox().getTableUnderHeader(LABEL_NUMERIC_METRICS).checkValues(props, ValuesValidator.EQUAL);

		}
		finally {
		}

	}


	/**
	 * 
	 */
	public void testJBossCacheTxInterceptorMetrics() throws IOException, EmbJoprTestException {

                if( isJBossConfigWithoutCache() ) return;

		navigateToNode();
		ejtt.getTabMenu().clickMetricsTab();


		// Traits
		Properties props = new SingleProperties("Statistics Enabled?", "true");
		ejtt.getTabMenu().getTabContentBox().getTableUnformatted(LABEL_TRAITS).checkValues(props, ValuesValidator.EQUAL);

		// Metrics.
		props = new Properties();
		props.setProperty("Commits", "0");
		props.setProperty("Rollbacks", "0");
		props.setProperty("Prepares", "0");
		props.setProperty("Number Of Syncs Registered", "0");
		ejtt.getTabMenu().getTabContentBox().getTableUnderHeader(LABEL_NUMERIC_METRICS).checkValues(props, ValuesValidator.EQUAL);

	}










}// class
