package org.jboss.jopr.jsfunit.exceptions;

import com.gargoylesoftware.htmlunit.Page;

/**
 * Signalizes that there was an action performed
 * that was out of context - e.g. clicking on a button
 * that was a part of a HTML page that's already gone.
 *
 *
 * @author ondra
 */
public class PageHasChangedException extends ActionOutOfSyncException {

	private Page validForPage;
	private Page actualPage;

	public PageHasChangedException() {
	}

	public PageHasChangedException(String message) {
		super(message);
	}

	public PageHasChangedException(String message, Throwable cause) {
		super(message, cause);
	}

	public PageHasChangedException(Throwable cause) {
		super(cause);
	}

	public PageHasChangedException( String message, Page validForPage, Page actualPage) {
		super(message);
		this.validForPage = validForPage;
		this.actualPage = actualPage;
	}


	

}
